:root {
    --font-buy : "Open Sans", sans-serif;
    --color-description : #0c1522;
    --color-grey : rgba(0, 0, 0, 0.6);
    --border-gradiente : linear-gradient(
                            to bottom,
                            var(--green),
                            var(--blue)
                        )1 100%;

}

.buy-property-informations h3 {
    margin: 0;
}

.property-buy {;
    min-height: 80vh;
}

.property {
    margin-top: 70px;
}

.buy-property-image {
    min-width: 200px !important;
    max-width: 95% !important;
    height: 300px !important;
    object-fit: cover !important;
}

.buy-property-informations {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 30px;
    margin-top: 30px;
}

.buy-property-informations > h1 {
    font-size: 1.8rem;
    font-weight: 400;
    font-family: var(--font-buy);
    padding-bottom: 20px;
    width: 70%;
    text-align: center;
    color: var(--blue);
    border-bottom-width: 3px;
    border-bottom-style: solid;
    border-image-slice: 1;
    border-image-source: linear-gradient(to left, var(--blue), var(--green));
    margin-bottom: 0;
}

.buy-property-informations > p {
    font-size: 1.2rem;
    font-weight: 300;
    font-family: var(--font-buy);
    width: 80%;
    color: var(--color-grey);
    text-align: justify;
}

.buy-property-informations h3 {
    font-size: 1.4rem;
    font-weight: 400;
    font-family: var(--font-buy);
    color: var(--blue);
}

.buy-property-filters {
    width: 80%;
    min-width: 350px;
}

.buy-property-filters > div {
    border-radius: 0 15px 15px 15px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    gap: 7vw;
    flex-wrap: wrap;
    margin-bottom: 20px;
    padding: 10px;
}

.buy-property-filters > div > div {
    text-align: center;
}

.property-filter {
    font-family: var(--font-buy);
    font-size: 1em;
    color: var(--color-grey);
    border-right: 1px solid var(--green);
    padding: 5px 10vw 5px 0;
}

.buy-property-value {
    font-family: var(--font-buy);
    font-size: 1.2em;
    font-weight: 400;
    color: rgba(83, 194, 139, 0.9);
}

.buy-property-value > span {
    font-size: 1.2em;
    font-weight: 700;
    color: rgba(63, 75, 150, 0.85);
}

.property-sub-filter {
    font-family: var(--font-buy);
    font-size: 1em;
    color: var(--color-grey);
    padding: 5px 0 5px 0;
}

.not-found {
    font-family: var(--font-buy);
    font-size: 1.1rem;
    font-weight: 400;
    color: var(--color-grey);
}

.buy-property-localization {
    display: flex;
    gap: 20px;
    align-items: center;
}

.buy-property-localization > p:nth-child(2) {
    font-family: var(--font-buy);
    border-width: 2px;
    border-style: solid;
    border-image: var(--border-gradiente);
    padding: 0 1rem;
}

.map-property-buy {
    width: 80%;
    min-width: 350px;
    height: 300px;
    margin-top: 20px;
    border: 3px solid;
    border-image-slice: 1;
    border-image-source: linear-gradient(to left, var(--blue), var(--green));
}

.map-property-buy > iframe {
    width: 100%;
    height: 100%;
}

.property-owner {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.buy-property-btn-back, .interest-button {
    display: flex;
    justify-content: center;
    margin: 50px 0 50px 10%;
    width: 10%;
    min-width: 100px;
    align-items: center;
    padding: 10px;
    background: #6ce79e;
    border-radius: 5px;
}

.buy-property-btn-back > p, .interest-button {
    font-family: var(--font-buy);
    font-size: 1.2rem;
    font-weight: 400;
    color: var(--black);
    transition: 0.2s ease-out;
}

.buy-property-btn-back:hover, .interest-button:hover {
    background: var(--green);
    box-shadow: rgba(0, 0, 0, 0.35) 0 5px 15px;
    scale: 1.01;
    transition: 0.2s ease-in;
}

.buy-property-btn-back:hover > p, .interest-button:hover{
    color: var(--white);
}

.flip-container {
    width: 100%;
    height: clamp(400px, 50vh, 500px);
    perspective: 1500px;
    margin-top: 20px;
}

.flipper {
    width: 100%;
    height: 100%;
    position: relative;
    transition: 0.6s;
    transform-style: preserve-3d;
}

#switch:checked ~ .flip-container .flipper {
    transform: rotateY(180deg);
}

#switch:checked ~ .flip-container .flipper .front {
    display: none;
}

#switch {
    display: none;
}

.front, .back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
}

.back {
    transform: rotateY(180deg);
}

.owner {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    border-radius: 15px 0 15px 15px;
    width: 80%;
    min-width: 350px;
}

.cover-photo {
    background-color: #0ab581;
    width: 100%;
    height: 100px;
    border-radius: 15px 0 0 0;
}

.owner-photo {
    width: 160px;
    height: 140px;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
}

.owner-photo > img {
    position: relative;
    top: -80px;
    max-width: 100%;
    max-height: 100%;
    border-radius: 50%;
    box-shadow: -1px 1px 11px 6px rgba(189, 172, 172, 0.33);
    object-fit: cover;
}

.owner-informations {
    font-family: var(--font-buy);
    font-size: 1.2rem;
    font-weight: 400;
    color: var(--blue);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    top: -35px;
    width: 100%;
}

.owner-informations > div {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.owner-informations p i {
    margin-right: 10px;
    padding: 3px 10px 5px 0;
    border-right-width: 2px;
    border-right-style: solid;
    border-color: var(--green);
}

.form-contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin-right: auto;
    margin-left: auto;
    width: 80%;
    min-width: 350px;
    border-radius: 0 15px 15px 15px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.form-contact > form {
    width: 100%;
    margin-left: 20%;
}

#comment {
    background-image: none;
    width: 80%;
    border-radius: 0 10px 10px;
    border-width: 1px;
    border-style: solid;
    border-color: var(--green);
}

.comment-label {
    font-size: 1em;
    font-family: var(--font-buy);
    font-weight: 400;
    color: var(--blue);
    margin: 10px 0;
}

.interest-button {
    margin: 20px 0 0 0;
    padding: 5px;
    width: 30%;
    min-width: 100px;
    max-width: 150px;
    font-size: 1em;
    cursor: pointer;
}

.icon-touch {
    width: 85%;
    margin-left: auto;
    position: relative;
    margin-right: auto;
    top: -20px;
    display: flex;
    justify-content: flex-end;
}

#switch:checked ~ .flip-container .flipper > .icon-touch > img {
    opacity: 0;
    transition: 0.3s;
}

.icon-touch > img {
    width: 50px;
}

@media (max-width: 900px) {
    .buy-property-filters > div {
        flex-direction: column;
        align-items: center;
        gap: 0;
    }

    .property-filter {
        padding: 0;
        border-right: none;
    }

    .property-filter:last-child {
        width: 100%;
        padding-bottom: 15px;
        border-bottom: 1px solid var(--green);
    }

    .buy-property-filters > div > div {
        width: 85%;
        margin-top: 15px;
    }
}

@media (max-width: 600px)
{
    .owner-informations > div {
        font-size: 0.7em;
    }

    /*.icon-touch {*/
    /*    top: -20px;*/
    /*    margin-right: 0;*/
    /*    margin-left: 0;*/
    /*    width: 96%;*/
    /*}*/
}

    /** Owl Carousel **/
.buy-property-images .owl-item {
    transition: 0.3s ease-out;
}

.buy-property-images .owl-item.active {
    scale: 1.1;
    transition: 0.45s ease-in;
}

.buy-property-images .owl-nav.disabled+.owl-dots {
    margin-top: 5px !important;
}

.buy-property-images .owl-dots .owl-dot.active span, .buy-property-images .owl-dots .owl-dot:hover span {
    background: var(--green) !important;
    border: 2px solid var(--green) !important;
}
